## org.w3c.dom.html
Interface HTMLLabelElement

All Known Implementing Classes:
  HTMLLabelElementImpl

public interface HTMLLabelElement
extends HTMLElement

Form field label text. See the LABEL element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getAccessKey()` A single character access key to give access to the form control.
`HTMLFormElement` `getForm()` Returns the `FORM` element containing this control.
`java.lang.String` `getHtmlFor()` This attribute links this label with another form control by `id` attribute.
`void` `setAccessKey(java.lang.String accessKey)`
`void` `setHtmlFor(java.lang.String htmlFor)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getForm

    public HTMLFormElement getForm()

  Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

### getAccessKey

    public java.lang.String getAccessKey()

  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

### getHtmlFor

    public java.lang.String getHtmlFor()

  This attribute links this label with another form control by `id` attribute. See the for attribute definition in HTML 4.0.

### setHtmlFor

    public void setHtmlFor(java.lang.String htmlFor)

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.